Bug 634543 - Review Request:animal-sniffer - Tools to assist verifying backward compatibility of Java classes
Summary: Review Request:animal-sniffer - Tools to assist verifying backward compatibil...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 635981
TreeView+ depends on / blocked
 
Reported: 2010-09-16 10:04 UTC by Stanislav Ochotnicky
Modified: 2010-09-30 11:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-30 11:16:36 UTC
jjohnstn: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2010-09-16 10:04:15 UTC
Spec URL: http://sochotni.fedorapeople.org/packages/animal-sniffer.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/animal-sniffer-1.6-1.fc13.src.rpm

Description: 
Tools to assist verifying that classes compiled with a newer JDK/API
are compatible with an older JDK/API

Comment 1 Jeff Johnston 2010-09-16 16:54:09 UTC
[jjohnstn@localhost SPECS]$ rpmlint animal-sniffer.spec 
animal-sniffer.spec: W: invalid-url Source0: animal-sniffer-1.6.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

Ok.

Problems occurred building on F-14.  Package mojo-parent was required to build successfully (required plexus-javadoc without mojo-parent updated).  Not sure if this should be a BR.  Stricter BRs should be used (i.e. add minimum versions required).

After build:

[jjohnstn@localhost noarch]$ rpmlint *.rpm
animal-sniffer.noarch: I: enchant-dictionary-not-found en_US

Ignore.

animal-sniffer.noarch: W: no-documentation

Ok.

animal-sniffer.noarch: W: non-conffile-in-etc /etc/maven/fragments/animal-sniffer

Ignore.

animal-sniffer.noarch: W: no-manual-page-for-binary animal-sniffer

Ok.

2 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 2 Stanislav Ochotnicky 2010-09-17 08:28:36 UTC
(In reply to comment #1)
> Problems occurred building on F-14.  Package mojo-parent was required to build
> successfully (required plexus-javadoc without mojo-parent updated).  Not sure
> if this should be a BR.  Stricter BRs should be used (i.e. add minimum versions
> required).

Sorry, my fault. I was doing parallel testing of mojo-parent (new package) and animal-sniffer. I had to comment-out the BR because otherwise mock would complain about non-existent package. And then I forgot to un-comment it before putting it up for review. Fixed..

mojo-parent is in updates-testing for F-14, but rawhide works:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2472498


So this new version has correct BR on mojo-parent (in F-14 updates-testing):

Spec URL: http://sochotni.fedorapeople.org/packages/animal-sniffer.spec
SRPM:http://sochotni.fedorapeople.org/packages/animal-sniffer-1.6-1.fc13.src.rpm

Comment 3 Stanislav Ochotnicky 2010-09-20 10:46:07 UTC
Another relase bump (patch pom.xml to include asm-all dependency)

Spec URL: http://sochotni.fedorapeople.org/packages/animal-sniffer.spec
SRPM:http://sochotni.fedorapeople.org/packages/animal-sniffer-1.6-3.fc13.src.rpm

Comment 4 Jeff Johnston 2010-09-24 20:41:30 UTC
Approved.  Fedora review flag set to +.  Reassigned back to you to continue processing.

[jjohnstn@localhost SPECS]$ rpmlint animal-sniffer.spec 
animal-sniffer.spec: W: invalid-url Source0: animal-sniffer-1.6.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

[jjohnstn@localhost noarch]$ rpmlint *.rpm
animal-sniffer.noarch: I: enchant-dictionary-not-found en_US
animal-sniffer.noarch: W: no-documentation
animal-sniffer.noarch: W: non-conffile-in-etc /etc/maven/fragments/animal-sniffer
animal-sniffer.noarch: W: no-manual-page-for-binary animal-sniffer
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 5 Stanislav Ochotnicky 2010-09-29 16:38:47 UTC
Thank you for the review

New Package CVS Request
=======================
Package Name: animal-sniffer
Short Description: Tools to assist verifying backward compatibility of Java classes
Owners: sochotni
Branches: f14
InitialCC:

Comment 6 Kevin Fenzi 2010-09-29 18:47:13 UTC
Git done (by process-git-requests).

Comment 7 Stanislav Ochotnicky 2010-09-30 11:16:36 UTC
Thanks. Koji build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2503228


Note You need to log in before you can comment on or make changes to this bug.